%{?nodejs_find_provides_and_requires}
Name:                nodejs-block-stream
Version:             0.0.7
Release:             2
Summary:             A stream of blocks
License:             BSD-3-Clause
URL:                 https://github.com/isaacs/block-stream
Source0:             https://registry.npmjs.org/block-stream/-/block-stream-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging nodejs-tap
%description
Write data into it, and it'll output data in buffer blocks the size you
specify, padding with zeroes if necessary.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/block-stream
cp -pr block-stream.js package.json %{buildroot}%{nodejs_sitelib}/block-stream
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
tap test/

%files
%{nodejs_sitelib}/block-stream
%doc README.md
%license LICENCE

%changelog
* Mon May 9 2022 liyanan <liyanan32@h-partners.com> - 0.0.7-2
- License compliance rectification

* Mon Aug 17 2020 Shaoqiang Kang <kangshaoqiang1@huawei.com> - 0.0.7-1
- Package init
